install phpBB 3.3.0 using Softaculus: Required PHP extension not found : mysqli

fmosse

Well-Known Member
Jan 6, 2002
48
1
308
Hi,

I am trying to install phpBB 3.3.0 using Softaculus and I receive this error

Required PHP extension not found : mysqli
Required PHP extension not found : mbstring
Required PHP extension not found : json

I have PHP 7.3 in my account.

How do I fix it?
Thanks,
Francisco
 

quietFinn

Well-Known Member
Feb 4, 2006
1,273
114
193
Finland
cPanel Access Level
Root Administrator
If you have root access you can add those extensions in WHM -> Software -> EasyApache 4,
if not then you'd have to ask your hosting provider to do it.
 

fmosse

Well-Known Member
Jan 6, 2002
48
1
308
If you have root access you can add those extensions in WHM -> Software -> EasyApache 4,
if not then you'd have to ask your hosting provider to do it.
I should install it here? "Currently Installed Packages > Customize"

It affect that I use CloudLinux?
Thanks,
Francisco
 

Attachments

quietFinn

Well-Known Member
Feb 4, 2006
1,273
114
193
Finland
cPanel Access Level
Root Administrator
I should install it here? "Currently Installed Packages > Customize"

It affect that I use CloudLinux?
Yes that's the right place, just click "Customize" and add the required PHP extensions.
Doesn't matter that you use CloudLinux.
 

fmosse

Well-Known Member
Jan 6, 2002
48
1
308
Yes that's the right place, just click "Customize" and add the required PHP extensions.
Doesn't matter that you use CloudLinux.
Thanks for your reply!

When I search in PHP modules "mysqli"! or "json" I get "There are no packages to display." (I attach the error)

I am installing PHP 7.2 and 7.3 now. I will update the thread when it´s done

Thanks,
Francisco
 

Attachments

fmosse

Well-Known Member
Jan 6, 2002
48
1
308
Yes that's the right place, just click "Customize" and add the required PHP extensions.
Doesn't matter that you use CloudLinux.
Done!! I could install the modules and now everything works :)

Thanks a lot everyone!